### package.json
```sh
# files: 指定发布的文件，其他的不发布
"files": []

# repository 指定git信息
"repository": {
  "type": "git",
  "url": "git+https://github.com/xxx/xxx.git"
}
```

### 为什么要使用 npm 私服
- 提升下载速度 （局域网）
- 保证版本一致性
- 保证安全 （防止npm上的依赖包被删除）
- 控制依赖版本
- 方便内部使用

### 搭建本地 npm 私服（Verdaccio 服务器）
```sh
# 安装
npm install -g verdaccio

# 启动
verdaccio --listen 9999

# 访问 http://localhost:9999/
```

### 修订版本号 standard-version
```sh
# 安装
npm install -g standard-version

# 根据提交的commit信息来自动更新版本号和生成更新日志，会给提交打上版本标签并生成changelog文件
standard-version

# 提交到远程仓库并提交标签信息
git push --follow-tags origin main

# 发布到npm私服（http://localhost:9999: 本地 verdaccio 搭建的npm私服）
npm publish --registry http://localhost:9999
```

### 修订版本号 其他方法
```sh
# 使用npm命令自增修订版本号（第一位）：
npm version patch

# 使用npm命令自增修订版本号（第二位）：
npm version minor

# 使用npm命令自增修订版本号（第三位）：
npm version major

# 如果想要在发布之前自动更新版本号，可以在package.json中的scripts字段添加一个发布脚本，并在发布脚本中使用npm version命令。
"scripts": {
  "release": "npm version patch && npm publish"
}
```

### 指定项目发包的源地址

package.json
```sh
"publishConfig": {
  "registry": "http://localhost:9999"
}
```
.npmrc文件
```sh
registry=http://localhost:9999
```